/* Animation  */
/* เลื่อนแสดงเนื้้อหา  */
.reveal-section {
    opacity: 0;
    transform: translateY(40px);
    transition: all 0.8s ease;
}

.reveal-section.show {
    opacity: 1;
    transform: translateY(0);
}

.delay-1 {
    transition-delay: .2s;
}

.delay-2 {
    transition-delay: .4s;
}

.delay-3 {
    transition-delay: .6s;
}

.delay-4 {
    transition-delay: .8s;
}

/* เอฟเฟกต์ขยายใหญ่ขึ้น */
.glow-scale {
    display: inline-block;
    animation: scaleUpDown 10s infinite ease-in-out;
}

@keyframes scaleUpDown {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.06);
    }

    100% {
        transform: scale(1);
    }
}

/* เอฟเฟกต์แสง */
.glow-effect3 {
    display: inline-block;
    animation: glowPulse3 2s infinite alternate ease-in-out;
}

@keyframes glowPulse3 {
    from {
        filter: drop-shadow(0 0 5px #fffffe);
        transform: scale(1);
    }

    to {
        filter: drop-shadow(0 0 20px #ffb74be1);
        transform: scale(1.05);
    }
}

/* magic particles */
.magic {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 3;
    pointer-events: none;
}

.magic span {
    position: absolute;
    width: 6px;
    height: 6px;
    background: white;
    border-radius: 50%;
    box-shadow: 0 0 10px white;
    animation: magicFloat 8s linear infinite;
}

.magic span:nth-child(1) {
    left: 10%;
    bottom: -10px;
    animation-delay: 0s;
}

.magic span:nth-child(2) {
    left: 30%;
    bottom: -20px;
    animation-delay: 2s;
}

.magic span:nth-child(3) {
    left: 50%;
    bottom: -15px;
    animation-delay: 4s;
}

.magic span:nth-child(4) {
    left: 70%;
    bottom: -25px;
    animation-delay: 1s;
}

.magic span:nth-child(5) {
    left: 85%;
    bottom: -10px;
    animation-delay: 3s;
}

.magic span:nth-child(6) {
    left: 60%;
    bottom: -30px;
    animation-delay: 5s;
}

@keyframes magicFloat {
    0% {
        transform: translateY(0);
        opacity: 0;
    }

    20% {
        opacity: 1;
    }

    100% {
        transform: translateY(-700px);
        opacity: 0;
    }
}

.moonlightParticles {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    z-index: 1;
}

.moonlightParticles span {
    position: absolute;
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background: white;
    box-shadow: 0 0 10px white;
    animation: particleFloat 10s linear infinite;
}

.moonlightParticles span:nth-child(1) {
    left: 10%;
    bottom: -20px;
}

.moonlightParticles span:nth-child(2) {
    left: 30%;
    bottom: -40px;
    animation-delay: 2s;
}

.moonlightParticles span:nth-child(3) {
    left: 50%;
    bottom: -10px;
    animation-delay: 4s;
}

.moonlightParticles span:nth-child(4) {
    left: 70%;
    bottom: -30px;
    animation-delay: 1s;
}

.moonlightParticles span:nth-child(5) {
    left: 90%;
    bottom: -50px;
    animation-delay: 3s;
}

@keyframes particleFloat {
    0% {
        transform: translateY(0);
        opacity: 0;
    }

    20% {
        opacity: 1;
    }

    100% {
        transform: translateY(-100vh);
        opacity: 0;
    }
}